#include <bits/stdc++.h>

using namespace std;
int b=0;
int jelP(string a){
    for(int i=0;i<a.size();i++){
        if(a[i]!=a[(a.size()-i)-1]){
            b=1;
            break;
        }
    }
    return b;

}
int main()
{
    string s;
    vector<string>sub;
    cin>>s;
    if (s.size()==2){
        if(s[0]==s[1]){
            cout<<1;
            return 0;
        }
        else {
            cout<<0;
            return 0;
        }
    }
    else if(b==0){
        cout<<0;
        return 0;
    }
    else{
    }




    return 0;
}